summaryrefslogtreecommitdiffstats
path: root/slackware64-current/source/a/reiserfsprogs/reiserfsprogs.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64-current/source/a/reiserfsprogs/reiserfsprogs.SlackBuild')
-rwxr-xr-xslackware64-current/source/a/reiserfsprogs/reiserfsprogs.SlackBuild20
1 files changed, 15 insertions, 5 deletions
diff --git a/slackware64-current/source/a/reiserfsprogs/reiserfsprogs.SlackBuild b/slackware64-current/source/a/reiserfsprogs/reiserfsprogs.SlackBuild
index 71c2b92db..b37fd1996 100755
--- a/slackware64-current/source/a/reiserfsprogs/reiserfsprogs.SlackBuild
+++ b/slackware64-current/source/a/reiserfsprogs/reiserfsprogs.SlackBuild
@@ -27,7 +27,7 @@ BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -38,14 +38,17 @@ NUMJOBS=${NUMJOBS:-" -j7 "}
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-reiserfs
+PKG=$TMP/package-reiserfsprogs
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
rm -rf $PKG
@@ -62,12 +65,15 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Yes, --disable-shared is intentional
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sbindir=/sbin \
--mandir=/usr/man \
- --build=$ARCH-slackware-linux
+ --disable-shared \
+ --build=$ARCH-slackware-linux || exit 1
if [ "$ARCH" = "x86_64" ]; then
# To prevent compilation errors due to broken header:
@@ -77,6 +83,10 @@ fi
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# We're building without the shared libreiserfs so that we don't have to
+# ship the libraries or headers:
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX} $PKG/usr/include
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null